#!/bin/sh

#**************************************************************
# Author: Didier Swingedouw
# Contact: dswinge@dsm-mail.cea.fr
# Author: Patrick Brockmann
# Contact: Patrick.Brockmann@ipsl.jussieu.fr
# $Date: 2003/03/18 12:59:25 $
# $Name: ATLAS_591_0_9 $
# $Revision: 1.1.1.2 $
# History:
# Modification:
#
#**************************************************************

input=$@
paper=-p
#frequency=1:90:10
frequency=1:40:40
your_reference_file=/directory/file.nc

# atlas -d -o Animation Animation.cfg toto


wq
### Abrupt changes

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Abrupt change in SST" -o DirOut  FinalFigure_v4.jnl '"@sbx:1" "/vlim=-4.5:2" "X=-60:-40" "Y=50:65"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Abrupt change in SST" -o DirOut  FinalFigure_v4.jnl '"@sbx:10" "/vlim=-4:1.5" "X=-60:-40" "Y=50:65"'

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Abrupt change in SST" -o DirOut  FinalFigure_v4.jnl '"@sbx:1" "/vlim=-4.5:2" "X=-65:-20" "Y=50:65"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Abrupt change in SST" -o DirOut  FinalFigure_v4.jnl '"@sbx:10" "/vlim=-4:1.5" "X=-65:-20" "Y=50:65"'


exit

echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Abrupt change in SST" -o DirOut  FinalFigure_v3.jnl '"@sbx:1" "/vlim=-4.5:2" "X=-65:-20" "Y=50:65"'
echo $input | ferretloop - $paper --ps2gif_option "-g cx1600" -s $frequency -i " Abrupt change in SST" -o DirOut  FinalFigure_v3.jnl '"@sbx:10" "/vlim=-4:1.5" "X=-65:-20" "Y=50:65"'


# Stratif
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Convection Collapse" -o DirOut  VerticalStructureEnsMean ' '



# Clim impact
echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " 2-meter temperature after - before" -o DirOut DiffMapEnsMean.jnl 'tas ye /pal=light_centered/lev=(-INF)(-3,3,0.4)(INF)/X=120:480 "-1" "Temperature change" "K"'

echo $input | ferretloop - $paper --ps2gif_option "-g 1600xc" -s $frequency -i " Precip after - before" -o DirOut DiffMapEnsMean.jnl 'pr ye /pal=light_centered/lev=(-INF)(-0.95,0.95,0.1)(INF)/X=120:480 "-86400" "Precipitation change" "mm/day"'

